# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DrawElements.hpp File Reference

`#include "vl/Primitives.hpp"`
`#include "vl/Array.hpp"`
`#include <algorithm>`

## Classes
class | vl::DrawElements< index_type, Tgltype, arr_type >
| Wrapper for the OpenGL function glDrawElements(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDrawElements.xml for more information. More...
class | vl::DrawElements< index_type, Tgltype, arr_type >::Triangle< T >
## Namespaces
namespace | vl
| Visualization Library namespace.

## Typedefs
typedef DrawElements< GLuint, GL_UNSIGNED_INT, ArrayUInt > | vl::DrawElementsUInt
| A DrawElements using indices of type `GLuint`.
typedef DrawElements< GLushort, GL_UNSIGNED_SHORT, ArrayUShort > | vl::DrawElementsUShort
| A DrawElements using indices of type `GLushort`.
typedef DrawElements< GLubyte, GL_UNSIGNED_BYTE, ArrayUByte > | vl::DrawElementsUByte
| A DrawElements using indices of type `GLubyte`.

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.